
.jwobot-container {

    position: fixed;
    bottom: 0;
    right: 10px;
    width: 400px;
}

    .jwobot-container .header {
        border-radius: 20px 20px 0 0;
        background-color: #898989;
        padding: 10px;
    }

        .jwobot-container .header img {
            width: 140px;
            display: inline-block;
        }

        .jwobot-container .header h3 {
            display: inline-block;
        }

        .jwobot-container .header .close {
            display: inline-block;
            right: 15px;
            position: absolute;
            margin-top: 5px;
        }

        .jwobot-container .messages {
            height: 500px;
            width: 100%;
            background-color: #eee;
            padding: 10px;
            overflow-y: scroll;
        }

    .jwobot-container .response {
        float: left;
        background-color: gray;
        width: 80%;
        padding: 20px;
        margin: 5px;
        border-radius: 20px 20px 20px 0;
        color: white;
        font-size: 13px;
    }

    .jwobot-container .question {
        float: right;
        background-color: dodgerblue;
        width: 85%;
        padding: 20px;
        margin: 5px;
        border-radius: 20px 20px 0 20px;
        color: white;
        font-size: 13px;
    }

    .jwobot-container .input-container input {
        width: 80%;
        padding: 15px;
        float: left;
        border: none;
        background-color: lightgray;
    }

        .jwobot-container .input-container input:focus {
            outline: none;
        }

    .jwobot-container .input-container button {
        width: 20%;
        padding: 10px;
        float: right;
        color: white;
        background-color: dodgerblue;
        border: none;
    }

    .jwobot-container .icon-container {
        text-align: right;
    }

    .jwobot-container .icon-container img {
        cursor: pointer;
    }

    .jwobot-container .icon-container .icon-open {
        width: 80px;
    }

    .jwobot-container .icon-container .icon-closed {
        width: 300px;
    }

    .jwobot-container.open .icon-closed,
    .jwobot-container.closed .icon-open {
        display: none;
    }

.typing-animation {
    display: inline-flex;
    align-items: center;
    margin-right: 10px; /* Adjust spacing as needed */
    background: transparent !important;
    padding: 20px 0 !important;
}

.dot {
    width: 8px;
    height: 8px;
    background-color: #0084ff; /* Adjust color as needed */
    border-radius: 50%;
    margin-right: 4px; /* Adjust spacing between dots as needed */
    animation: typing 1.5s infinite; /* Adjust animation duration as needed */
}

@keyframes typing {
    0%, 60%, 100% {
        opacity: 0.3;
    }

    40% {
        opacity: 1;
    }
}